//	Inside this is some examples of skyportals, ladders,
//	and a fog/h2o-nodraw. The fog I just threw in for the hell
//	of it.
//
textures/common/h20nodraw_fog
{
	surfaceparm nodraw
	qer_trans 0.40
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm fog
	fogparms ( 0.008811 0.110625 0.108493 ) 1024
	qer_editorimage textures/common/h20nodraw.tga
}
textures/common/h20nodraw
{
	surfaceparm nodraw
	qer_trans 0.40
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	qer_editorimage textures/common/h20nodraw.tga
}
textures/common/ladderclip
{
	qer_editorimage textures/common/ladder.tga
 	qer_trans 0.40
	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodraw
 	surfaceparm nonsolid
 	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}
textures/common/metal_ladderclip
{
	qer_editorimage textures/common/ladder.tga
 	qer_trans 0.40
	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodraw
 	surfaceparm nonsolid
 	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm metalsteps
}
// 	Contents ladder, a ladder like q2, like water where you 
//	'step into' the brush.
// 	You must use -custominfoparms switch in bsp, and have
// 	the custominfoparms.txt in your scripts directory.
textures/common/ladder
{
    qer_editorimage textures/common/ladder.tga
    qer_trans 0.4
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm ladder2
}	
// Just an idea to give it a sound.
textures/common/metal_ladder
{
    qer_editorimage textures/common/ladder.tga
    qer_trans 0.4
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm ladder2
    surfaceparm metalsteps
}
//	GLASS, without a lightmap.
textures/wfa/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		}
}
//	This is basically something that makes a clear portal
//	that doesn't 'fade' out.
textures/common/portal_sfx2
{
	portal
	surfaceparm nolightmap
	surfaceparm noimpact
	qer_editorimage textures/common/qer_portal.tga	
	{
		map textures/common/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/common/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 30000
		rgbGen identityLighting
	}
}
//	*************************************************
//	|		Sky-portal skies		|
//	|	You should get the idea by looking at	|
//	|	this stuff.				|
//	*************************************************
textures/skies/blacksky_portal
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 32 90 90
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky
		{
		map textures/common/sky_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		}
}
//	You understand yet?
//	Same thing as above, just a different qer_editorimage.
//	Use whatever floats your boat.
textures/skies/blacksky_portal2
{
	qer_editorimage textures/common/skyportal.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 32 90 90
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky
		{
		map textures/common/sky_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		}
}
// a different manner of a nodraw, based off of sfx/invisible and hellsky's values
textures/skies/blacksky_portal3 
{
	surfaceparm nolightmap
	qer_editorimage textures/common/skyportal.tga
	surfaceparm noimpact
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50
	q3map_lightimage textures/skies/dimclouds.tga
	skyparms - 512 -
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky		
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
// hellsky, but with a portal
textures/skies/hellsky_portal
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50
	q3map_lightimage textures/skies/dimclouds.tga
	skyparms - 512 -
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky
		{
		map textures/common/sky_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		}
}
// hellsky2, but with a portal
textures/skies/hellsky2_portal
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 60
	q3map_lightimage textures/skies/dimclouds.tga
	skyparms - 512 -
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky
		{
		map textures/common/sky_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		}
}
// kc_dm10sky, but with a portal
textures/skies/kc_dm10sky_portal
{
	q3map_lightimage textures/skies/pjbasesky.tga
	qer_editorimage textures/skies/bluetopclouds.tga
	q3map_lightsubdivide 512 
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun	.5 .6 .8 90 225 55
	q3map_surfacelight 150
	skyparms - 512 -
	q3map_bounce 0
	q3map_backsplash 0 0
	surfaceparm sky
		{
		map textures/common/sky_portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		}
}
textures/common/clangfloor_snow
{
	qer_editorimage textures/base_floor/clang_floor.tga
	surfaceparm snowsteps
	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_floor/clang_floor.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity

	}

}