//	THE Q3WF TEXTURE PAK SHADER FILE
//	Created: 22/04/2000, Updated: 10/05/2000
//	Author:  MrS0FT
//	;o)

//Quick note to those using these textures:

//MOST shaders in here are considered untested!
//Should any fail to work or produce results you would consider
//wrong (or just plain ugly) please email me.  Any suggestions
//for improvements are welcome!

//Update notes:

//I've completely redone all the metallic shaders!
//Big thanks to Xar for sending me the level he's currently
//working on.  This has helped no end.
//Thanks m8.
//Anyway with this version of the shader file I think most bugs
//have been removed.  There are still numerous textures that can
//still be considered untested (and therefore may or may not
//work).

//MrS0FT



//---Buttons 'n Lights---

textures/base_light/proto_lightred
{
	q3map_lightimage textures/base_light/proto_lightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightblue.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightblue.tga
		blendFunc add
	}
}
// damn belac 7/01 for Zardoz
textures/twf/metaltechgeomtrn_red
{

	qer_editorimage textures/base_wall/metaltechgeomtrn.tga

        {
		map textures/sfx/fire_ctfred.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        map textures/base_wall/metaltechgeomtrn.tga
                blendFunc blend
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/base_wall/metaltechgeomtrn2.tga
		blendFunc blend
                tcmod rotate 20
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/base_wall/metaltechgeomtrn.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//---CTF EXPANSION---

textures/Q3WF_CTF_Expansion/windowevil2c_block18c_blue
{
	qer_editorimage textures/gothic_block/windowevil2c_block18c_blue.tga
	q3map_lightimage textures/Q3WF_CTF_Expansion/evil2cglow_blue.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/windowevil2c_block18c_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/evil2cglow_blue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/Q3WF_CTF_Expansion/tallred_1L_fin
{              
qer_editorimage textures/Q3WF_CTF_Expansion/tallred_1L_fin.tga 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/tallred_1L_fin.tga
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}
}

textures/Q3WF_CTF_Expansion/tallred_1R_fin
{              
qer_editorimage textures/Q3WF_CTF_Expansion/tallred_1R_fin.tga 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/tallred_1R_fin.tga
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}
}

textures/Q3WF_CTF_Expansion/tallred_2b_fin
{              
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/tallred_2b_fin.tga
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}
}

textures/Q3WF_CTF_Expansion/tallred_4bsmall_fin
{              

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/tallred_4bsmall_fin.tga
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}
}

textures/Q3WF_CTF_Expansion/tallred_4c_fin
{              
qer_editorimage textures/Q3WF_CTF_Expansion/tallred_4c_fin.tga 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/tallred_4c_fin.tga
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}
}

textures/Q3WF_CTF_Expansion/tallred_5esmallb_fin
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/Q3WF_CTF_Expansion/tallred_5esmallb_fin.tga
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}
}

//---DOORS---

textures/Q3WF_Doors/Door1
{
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Doors/Door1.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
} 

textures/Q3WF_Doors/Door2
{
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Doors/Door2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
} 

textures/Q3WF_Doors/Door3
{
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Doors/Door3.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
} 

//---FLAGS 'n TRIMS---

textures/Q3WF_Flags_n_Trims/ExhaustPipe001
{
      surfaceparm trans	
	surfaceparm alphashadow
	cull none
      nopicmip
	{
		map textures/Q3WF_Flags_n_Trims/ExhaustPipe001.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/Q3WF_Flags_n_Trims/ExhaustPipe001_blue
{
      surfaceparm trans	
	surfaceparm alphashadow
	cull none
      nopicmip
	{
		map textures/Q3WF_Flags_n_Trims/ExhaustPipe001_blue.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/Q3WF_Flags_n_Trims/ExhaustPipe001_metallic
{
      surfaceparm trans	
	surfaceparm alphashadow
	cull none
      nopicmip
	{
		map textures/Q3WF_Flags_n_Trims/ExhaustPipe001_metallic.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/Q3WF_Flags_n_Trims/ExhaustPipe001_red
{
      surfaceparm trans	
	surfaceparm alphashadow
	cull none
      nopicmip
	{
		map textures/Q3WF_Flags_n_Trims/ExhaustPipe001_red.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/Q3WF_Flags_n_Trims/Flag001_blue
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map textures/Q3WF_Flags_n_Trims/Flag001_blue.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/Q3WF_Flags_n_Trims/Flag001_red
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map textures/Q3WF_Flags_n_Trims/Flag001_red.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/Q3WF_Flags_n_Trims/Flag002_blue
{
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 194 sin 0 3 0 .7
	surfaceparm nomarks
	sort banner
	cull none
	{
		map textures/Q3WF_Flags_n_Trims/Flag002_blue.tga
		rgbGen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Flags_n_Trims/Flag002_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Flag002_red
{
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 194 sin 0 3 0 .7
	surfaceparm nomarks
	sort banner
	cull none
	{
		map textures/Q3WF_Flags_n_Trims/Flag002_red.tga
		rgbGen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Flags_n_Trims/Flag002_red.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment           
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Flag003_blue
{
	cull disable
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 194 sin 0 3 0 .7
	sort banner
	{
		map textures/Q3WF_Flags_n_Trims/Flag003_blue.tga
		rgbGen vertex
	}
}

textures/Q3WF_Flags_n_Trims/Flag003_red
{
	cull disable
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 194 sin 0 3 0 .7
	sort banner
	{
		map textures/Q3WF_Flags_n_Trims/Flag003_red.tga
		rgbGen vertex
	}
}

textures/Q3WF_Flags_n_Trims/Hash1
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Hash1.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Hash2
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Hash2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Hash3
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Hash3.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Metal001
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Metal001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Metal002
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Metal002.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Metal003
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Metal003.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Flags_n_Trims/Metal004
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Flags_n_Trims/Metal004.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//---FLOORS 'n CEILINGS---

textures/Q3WF_Floors_n_Ceilings/DotFloor001
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/DotFloor001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/DotFloor001_red		//Note(22/04/2000): Remove chrome env on red 'n blue??????
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/DotFloor001_red.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/DotFloor001_blue
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/DotFloor001_blue.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//Note for Mappers: Assuming the marble floor shaders work they'll be reflective (use them in small quantities - obviously a reflective surface will reflect its environment: effectively doubling the polycount etc)
//Should you simply want the marble textures to be environment mapped (or plain) copy the textures to a folder of your choosing and write an appropriate shader
//Note(22/04/2000): Swapped blendfuncs, Should work better - if not change back!

textures/Q3WF_Floors_n_Ceilings/Marble001
{
	qer_editorimage textures/Q3WF_Floors_n_Ceilings/Marble001.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/Marble001.tga
		//blendFunc ADD
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Floors_n_Ceilings/Marble002
{
	qer_editorimage textures/Q3WF_Floors_n_Ceilings/Marble002.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/Marble002.tga
		//blendFunc ADD
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Floors_n_Ceilings/Marble003
{
	qer_editorimage textures/Q3WF_Floors_n_Ceilings/Marble003.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/Marble003.tga
		//blendFunc ADD
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Floors_n_Ceilings/Marble004
{
	qer_editorimage textures/Q3WF_Floors_n_Ceilings/Marble004.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/Marble004.tga
		//blendFunc ADD
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Floors_n_Ceilings/MetalTile001
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/MetalTile001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/MetalTile002
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/MetalTile002.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/PanelCeiling001
{
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/PanelCeiling001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/PanelCeiling002
{
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/PanelCeiling002.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//Note(22/04/2000): I'm predicting Techfloor(001) textures MAY need attention (esp. the electricity effect)
//Again, these textures may be modified by copying them to another folder and writing a new shader.

textures/Q3WF_Floors_n_Ceilings/TechFloor001
{
	surfaceparm	metalsteps
	{
		map textures/effects/tinfx2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor001_red
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor001_red.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor001_blue
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor001_blue.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor002
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor002.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor003
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor003.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor004
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor004.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor004_red
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor004_red.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Floors_n_Ceilings/TechFloor004_blue
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map models/mapobjects/bitch/hologirl2.tga
		tcgen environment
		tcMod scroll -6 -.2
		tcMod scale 1 1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/Q3WF_Floors_n_Ceilings/TechFloor004_blue.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//---LIQUIDS 'n SHADERS---
//Note(22/04/2000): Still need Liquid shaders (argh) and scrolling ShaderText1 + 2 shaders - though mappers may want to write their own here! (Therefore giving control over speed, direction, displacement and turbulence etc.).
//IMPORTANT!!! - Note(22/04/2000): The ComputerBlock textures MAY cause problems (I'm guessing) - If maps don't work that contain these remove them from the pak!

//---MISC---

textures/Q3WF_Misc/Duct001
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env2.tga
		tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}	
	{
		map textures/Q3WF_Misc/Duct001.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}		
}

textures/Q3WF_Misc/Edge001
{	
	surfaceparm alphashadow
	surfaceparm	metalsteps
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/Q3WF_Misc/Edge001.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal
	}
}

textures/Q3WF_Misc/Edge002
{	
	surfaceparm alphashadow
	surfaceparm	metalsteps
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/Q3WF_Misc/Edge002.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal
	}
}

textures/Q3WF_Misc/Vent001
{	
	surfaceparm alphashadow
	surfaceparm	metalsteps
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/Q3WF_Misc/Vent001.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal
	}
}

//---WALLS---

textures/Q3WF_Walls/BrushedMetal001
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/BrushedMetal001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Concrete002_reinforced
{
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Concrete002_reinforced.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel002
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel002.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel002_single
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel002_single.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel004
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel004.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel005
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel005.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel005_blue
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel005_blue.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel005_red
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel005_red.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel005_blue_vent
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel005_blue_vent.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel005_red_vent
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel005_red_vent.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_2
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_2a
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_2a.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_2b
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_2b.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_3
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_3.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_3a
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_3a.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_blue
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_blue.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel006_red
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}	
}

textures/Q3WF_Walls/Panel006a
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel006a.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel007
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel007.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel007_a
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel007.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}	
}

textures/Q3WF_Walls/Panel008
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel008.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel008_2
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel008_2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Panel008_3
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Panel008_3.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

//Note(22/04/2000): These tiles are reflective! - Check notes for marble floors

textures/Q3WF_Walls/SingleTile001
{
	qer_editorimage textures/Q3WF_Walls/SingleTile001.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Walls/SingleTile001.tga
		//blendFunc add
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Walls/SingleTile001_blue
{
	qer_editorimage textures/Q3WF_Walls/SingleTile001_blue.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Walls/SingleTile001_blue.tga
		//blendFunc add
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Walls/SingleTile001_red
{
	qer_editorimage textures/Q3WF_Walls/SingleTile001_red.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/Q3WF_Walls/SingleTile001_red.tga
		//blendFunc add
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		depthfunc equal
	}
}

textures/Q3WF_Walls/Steel001
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Steel001.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Steel001_blue
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Steel001_blue.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/Q3WF_Walls/Steel001_red
{
	surfaceparm	metalsteps
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/Q3WF_Walls/Steel001_red.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}